PHP K�sikirja
Edellinen |  | Seuraava

# classkit_method_rename

(no version information, might be only in CVS)

classkit_method_rename -- Dynamically changes the name of the given method

## Description

bool classkit_method_rename ( string classname, string methodname, string newname )

> Huomaa: This function cannot be used to manipulate the currently running (or chained) method.

Varoitus
Varoitus! T�m� funktio on EKSPERIMENTAALINEN. T�m�n funktion ominaisuudet, k�ytt�ytyminen, parametrit ja nimi voi muuttua varoituksetta seuraavissa PHP:n versioissa.

## Parameters

classname

  The class in which to rename the method

methodname

  The name of the method to rename

newname

  The new name to give to the renamed method

## Return values

Palauttaa `TRUE` onnistuessaan, muutoin `FALSE`.

## Examples

Esimerkki 1. classkit_method_rename() example

`<?php class Example { function foo() { return "foo!\n"; } } // Rename the 'foo' method to 'bar' classkit_method_rename( 'Example', 'foo', 'bar' ); // output renamed function echo Example::bar(); ?>`

The above example will output:

    foo!

## See Also

classkit_method_add()
classkit_method_copy()
classkit_method_redefine()
classkit_method_remove()

Edellinen | Alkuun | Seuraava
classkit_method_remove | Ylös | Class/Object Functions